Page MenuHomePhabricator

LQT notification email (enotif) are sent for replies/new threads on watchlisted pages/threads regardless of users' enotif settings
Open, NormalPublic

Description

Steps to reproduce: see URL.
After setting

$wgDefaultUserOptions['lqtnotifytalk'] = true; [1]

on translatewiki.net, a user will receive email notifications for new threads or replies to threads if the thread is watched (that is, in LQT jargon, if it's individually watchlisted or its parent [talk] page is), regardless of their email notification settings, i.e. even if one or both of "E-mail me when a page or file on my watchlist is changed" and "E-mail me on replies to a thread I am watching" are disabled.
The only workaround is to unwatch both the page and the thread.

[1] https://gerrit.wikimedia.org/r/gitweb?p=translatewiki.git;a=blobdiff;f=TranslatewikiSettings.php;h=85babbfca49e6b12570e79f168a7b8f82da160dc;hp=2f13474494db6de7fbe70ca4547441892ec2f0e6;hb=f800719f61114db1f5fb54425cae100acec89365;hpb=be5777692bc4db94381600e6cc9e98d1fd9ff6c8


Version: master
Severity: major
URL: https://translatewiki.net/wiki/Thread:Talk:Sandbox/Test_enotif

Details

Reference
bz39513

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:00 AM
bzimport set Reference to bz39513.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Aug 20 2012, 8:33 PM

Gerrit change 49701

Merged by Siebrand.

bugzilla wrote:

Is this bugfix only supposed to work with the latest MW version?

I tested it on MW 1.19.2 and I still get email notifications if a new reply is posted - under the following circumstances:

  • I watch the thread.
  • I have enabled "E-mail me when a page on my watchlist is changed".
  • I have disabled "Email me on replies to a thread I am watching".

As I understand I shouldn't receive email notifications with this configuration...

Reopening: after gerrit change 58056, again I verified that I'll receive enotif for a thread I watchlisted (e.g. because of creating it) or for a thread on a page I watchlisted, even with "Email me on replies to a thread I am watching" and "Email me when a page or file on my watchlist is changed" both disabled.

Qgil added a comment.Mar 12 2014, 2:15 PM

Is the importance of this report properly assessed?

Critical Crashes, loss of data (internally, not your edit preview!) in a widely used and important component.

Also, is someone planning on working on it in the next six months?

high Not the next task, but should be fixed soon. Depending on teams & manpower this can take between one and six months.

(In reply to Quim Gil from comment #6)

Is the importance of this report properly assessed?

Yes. Critical bugs are typically fixed in 1-5 years for LQT.

This is not about "Crashes, loss of data"; decreasing severity

Nemo_bis set Security to None.
Jdforrester-WMF lowered the priority of this task from High to Lowest.Aug 4 2016, 11:34 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

LiquidThreads has been replaced by StructuredDiscussions on all Wikimedia production wikis (except one, which will be done soon). It is no longer under active development or maintenance, so I'm re-classifying all open LQT tasks as "Lowest" priority.

Nemo_bis raised the priority of this task from Lowest to High.Aug 5 2016, 7:34 AM
Qgil removed a subscriber: Qgil.Aug 8 2016, 8:10 AM
Liuxinyu970226 lowered the priority of this task from High to Lowest.Mar 22 2019, 2:08 AM
Liuxinyu970226 added a subscriber: Liuxinyu970226.

Still no Gerrit patch to fix this, hence Lowest again, feel free to revert my action with uploading a Gerrit patch

Nemo_bis raised the priority of this task from Lowest to Normal.Mar 22 2019, 1:08 PM